hnsgen

## Class HNS3To4

- java.lang.Object
- - hnsgen.HNS3To4

-     public class HNS3To4
      extends java.lang.Object

  This class provides facilities for the conversion of (the manual component of) an HNS-3 sign to the equivalent HNS-4 sign.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HNS3To4()` Constructs a new converter.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `HNSSign` | `convert(HNSSign hns)` Returns a new `HNSSign` obtained by converting the given one from HNS-3 to HNS-4 format.
    `static boolean` | `IS_RPT(char ch)` Tests whether or not the given character is one of the HNS repetition symbols.
    `static char` | `MOVE_CROSS()` Returns the (obsolete) HNS "hammovecross" symbol.
    `static char` | `MOVE_X()` Returns the (obsolete) HNS "hammovex" symbol.
    `static char` | `PAR_BEGIN()` Returns the HNS "hamparbegin" symbol.
    `static char` | `PAR_END()` Returns the HNS "hamparend" symbol.
    `static char` | `PS_END(char ps)` Returns the HNS closing bracket symbol that matches the given open bracket symbol (hamparbegin or hamseqbegin).
    `static char` | `SEQ_BEGIN()` Returns the HNS "hamseqbegin" symbol.
    `static char` | `SEQ_END()` Returns the HNS "hamseqend" symbol.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HNS3To4

          public HNS3To4()

      Constructs a new converter.

  - ### Method Detail

    - #### convert

          public HNSSign convert(HNSSign hns)

      Returns a new `HNSSign` obtained by converting the given one from HNS-3 to HNS-4 format.

    - #### MOVE_CROSS

          public static final char MOVE_CROSS()

      Returns the (obsolete) HNS "hammovecross" symbol.

    - #### MOVE_X

          public static final char MOVE_X()

      Returns the (obsolete) HNS "hammovex" symbol.

    - #### PAR_BEGIN

          public static final char PAR_BEGIN()

      Returns the HNS "hamparbegin" symbol.

    - #### SEQ_BEGIN

          public static final char SEQ_BEGIN()

      Returns the HNS "hamseqbegin" symbol.

    - #### PAR_END

          public static final char PAR_END()

      Returns the HNS "hamparend" symbol.

    - #### SEQ_END

          public static final char SEQ_END()

      Returns the HNS "hamseqend" symbol.

    - #### PS_END

          public static final char PS_END(char ps)

      Returns the HNS closing bracket symbol that matches the given open bracket symbol (hamparbegin or hamseqbegin).

    - #### IS_RPT

          public static final boolean IS_RPT(char ch)

      Tests whether or not the given character is one of the HNS repetition symbols.